<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.6) on Thu Feb 20 09:43:17 CET 2020 -->
<title>DipBrowser (DIP :: Java Native Interface Library 5.7.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-02-20">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DipBrowser (DIP :: Java Native Interface Library 5.7.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DipBrowser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">cern.dip</a></div>
<h2 title="Interface DipBrowser" class="title">Interface DipBrowser</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><code><a href="implementation/DipBrowserImp.html" title="class in cern.dip.implementation">DipBrowserImp</a></code>, <code><a href="mock/MockDipBrowser.html" title="class in cern.dip.mock">MockDipBrowser</a></code></dd>
</dl>
<hr>
<pre>public interface <span class="typeNameLabel">DipBrowser</span></pre>
<div class="block">Interface allowing a user to browse the DIP namespace.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPublications(java.lang.String)">getPublications</a></span>&#8203;(java.lang.String&nbsp;pattern)</code></th>
<td class="colLast">
<div class="block">Obtain a list of all publications visable in the DIP namespace.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSize()">getSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Get the cardinality of the default field (where a primitive type is being sent).</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSize(java.lang.String)">getSize</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Get the cardinality of the field who's name is supplied as a parameter.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTags(java.lang.String)">getTags</a></span>&#8203;(java.lang.String&nbsp;pub)</code></th>
<td class="colLast">
<div class="block">Get the fields names within the publication having the supplied publication name.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getType()">getType</a></span>()</code></th>
<td class="colLast">
<div class="block">Get the type of the default field (where a primitive type is being sent).</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getType(java.lang.String)">getType</a></span>&#8203;(java.lang.String&nbsp;tag)</code></th>
<td class="colLast">
<div class="block">Get the type of the field who's name is supplied as a parameter.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getPublications(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPublications</h4>
<pre class="methodSignature">java.lang.String[]&nbsp;getPublications&#8203;(java.lang.String&nbsp;pattern)</pre>
<div class="block">Obtain a list of all publications visable in the DIP namespace.
 If no publications are visable an empty array is returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pattern</code> - wildcard string.     * @return array of publication names.</dd>
</dl>
</li>
</ul>
<a id="getTags(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTags</h4>
<pre class="methodSignature">java.lang.String[]&nbsp;getTags&#8203;(java.lang.String&nbsp;pub)
                    throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Get the fields names within the publication having the supplied publication name.
 Should always be at least one field.
 A primitive type will return the tag name __DIP_DEFAULT__</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pub</code> - name of the publication we want the fields of.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Array of fields within the publication.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code> - if the format discription of the publication is incorrect</dd>
</dl>
</li>
</ul>
<a id="getType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre class="methodSignature">int&nbsp;getType()
     throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Get the type of the default field (where a primitive type is being sent).
 Must be called after first calling getTags() for the publication of interest.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>type of the primitive sent in the DipData object as defined in the DipData class</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code> - if getTags() has not been previous called or the object does not hold a primitive type</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="DipData.html" title="interface in cern.dip"><code>DipData</code></a></dd>
</dl>
</li>
</ul>
<a id="getSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSize</h4>
<pre class="methodSignature">int&nbsp;getSize()
     throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Get the cardinality of the default field (where a primitive type is being sent).
 Must be called after first calling getTags() for the publication of interest.
 Note that a non array type will return the value 1.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>cardinality of the primitive sent in the DipData object.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code> - if getTags() has not been previous called or the object does not hold a primitive type</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="DipData.html" title="interface in cern.dip"><code>DipData</code></a></dd>
</dl>
</li>
</ul>
<a id="getType(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre class="methodSignature">int&nbsp;getType&#8203;(java.lang.String&nbsp;tag)
     throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Get the type of the field who's name is supplied as a parameter.
 Must be called after first calling getTags() for the publication of interest.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - of the field whos type we are interested in.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>type of the field sent in the DipData object as defined in the DipData class</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code> - if getTags() has not been previous called or the object does not hold a complex type</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>getTags()</code>, 
<a href="DipData.html" title="interface in cern.dip"><code>DipData</code></a></dd>
</dl>
</li>
</ul>
<a id="getSize(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSize</h4>
<pre class="methodSignature">int&nbsp;getSize&#8203;(java.lang.String&nbsp;tag)
     throws <a href="DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block">Get the cardinality of the field who's name is supplied as a parameter.
 Must be called after first calling getTags() for the publication of interest.
 Note that a non array type will return the value 1.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - of the field whos cardinality we are interested in.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>cardinality of the field sent in the DipData object as defined in the DipData class</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="DipException.html" title="class in cern.dip">DipException</a></code> - if getTags() has not been previous called or the object does not hold a complex type</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="DipData.html" title="interface in cern.dip"><code>DipData</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DipBrowser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2008&#x2013;2020 <a href="http://www.cern.ch/">CERN</a>. All rights reserved.</small></p>
</footer>
</body>
</html>
